"use strict";
var __webpack_exports__ = {};
const external_utils_js_namespaceObject = require("../utils.js");
describe('isFieldValueEmpty', ()=>{
    it('should return true for empty array', ()=>{
        const value = [];
        const targetKey = 'name';
        const result = (0, external_utils_js_namespaceObject.isFieldValueEmpty)(value, targetKey);
        expect(result).toBe(true);
    });
    it('should return true for array with empty objects', ()=>{
        const value = [
            {
                name: null
            },
            {
                name: void 0
            }
        ];
        const targetKey = 'name';
        const result = (0, external_utils_js_namespaceObject.isFieldValueEmpty)(value, targetKey);
        expect(result).toBe(true);
    });
    it('should return false for array with non-empty objects', ()=>{
        const value = [
            {
                name: 'John'
            },
            {
                name: 'Doe'
            }
        ];
        const targetKey = 'name';
        const result = (0, external_utils_js_namespaceObject.isFieldValueEmpty)(value, targetKey);
        expect(result).toBe(false);
    });
    it('should return true for empty object', ()=>{
        const value = {};
        const targetKey = 'name';
        const result = (0, external_utils_js_namespaceObject.isFieldValueEmpty)(value, targetKey);
        expect(result).toBe(true);
    });
    it('should return true for object with null value', ()=>{
        const value = {
            name: null
        };
        const targetKey = 'name';
        const result = (0, external_utils_js_namespaceObject.isFieldValueEmpty)(value, targetKey);
        expect(result).toBe(true);
    });
    it('should return true for object with undefined value', ()=>{
        const value = {
            name: void 0
        };
        const targetKey = 'name';
        const result = (0, external_utils_js_namespaceObject.isFieldValueEmpty)(value, targetKey);
        expect(result).toBe(true);
    });
    it('should return false for object with non-empty value', ()=>{
        const value = {
            name: 'John'
        };
        const targetKey = 'name';
        const result = (0, external_utils_js_namespaceObject.isFieldValueEmpty)(value, targetKey);
        expect(result).toBe(false);
    });
});
var __webpack_export_target__ = exports;
for(var __webpack_i__ in __webpack_exports__)__webpack_export_target__[__webpack_i__] = __webpack_exports__[__webpack_i__];
if (__webpack_exports__.__esModule) Object.defineProperty(__webpack_export_target__, '__esModule', {
    value: true
});
